**Source URL:** https://limited.veevavault.dev/sitevault/vault-api/api-reference/26.2/veeva-sitevault/users/create-user.md

# Create User



Create a new user in Veeva SiteVault. Bulk creation of users is not supported. You must be in the organization context to add study assignments for other sites within the organization.

<Endpoint path="/api/{version}/app/sitevault/useradmin/persons" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` |
| `Accept` | `application/json` |
</FieldTable>

## Body Parameters {#body-parameters}

In the body of the request, upload parameters as a JSON file. The following tables provide the required and most common optional parameters for creating a user.

##### User Creation {#user-creation}

The following table lists the fields required to create a user.

<FieldTable>
| Name | Description |
| --- | --- |
| `user` | This is an object definition of the User being created. This represents the `user__sys record` in the Vault. |
| `user.email` | The user’s email. |
| `user.username` | The username of the user being created, with the domain name. This is always required unless security policy is VeevaID. |
| `user.first_name` | The user’s first name. |
| `user.last_name` | The user’s last name. |
| `user.security_policy_id` | The `name__v` value of the Security Policy for this user. The standard is VeevaID. However, Enterprise Veeva SiteVaults may utilize custom policies. When creating a Staff user who will not require an account to log in, set as `noUser`. |
| `user.person_type` | Defines the type of the `person__sys` record. Select from `staff__v` or `external__v`. |
| `user.language` | The 2-letter system code for the user language. If omitted, defaults to `en` for English. |
| `is_investigator` | Indicates if the user is an investigator. External users must be set as `false`. |
| `federated_id` | Federated ID for the user being created. |
</FieldTable>

##### Organization Assignment {#organization-assignment}

The following table lists the fields required to include an organization assignment when creating a user.

<FieldTable>
| Name | Description |
| --- | --- |
| `assignments` | This object defines the user’s permissions. |
| `assignments.org_assignment` | This object defines the user’s organization-level permissions. Required when creating a user. Content sent in this call will overwrite any existing organization assignments with the same organization ID. |
| `assignments.org_assignment.org_id` | The ID of the organization. |
| `assignments.org_assignment.system_role_id` | The system ID of the organization-level system role for the user. Select from `org_admin__v`, `org_full__v`, or `org_external__v`. When creating a Staff user who will not require an account to log in, set as `org_cant_login__v`. |
| `assignments.org_assignment.addons` | The system ID for the organization-level add-on permissions assigned to the user. Add-on permissions must be valid for the specified system role. Add-on permissions are not available for the Site Viewer or External User roles. Select `org_patients__v`. Do not include if not applicable. |
</FieldTable>

##### Site Assignment {#site-assignment}

The following table lists the fields required to include a site assignment when creating a user.

<FieldTable>
| Name | Description |
| --- | --- |
| `site_assignments` | This object defines the user’s site-level permissions. |
| `site_assignments.site_USN` | The Universal Site Number (USN) assigned to the Site. |
| `site_assignments.system_role_id` | The system ID for the user’s site-level system role. Select from `regulatory__v`, `study_team__v`, `site_viewer__v`, or `external__v`. When creating a Staff user who will not require an account to log in, set as `site_cant_login__v``. |
| `site_assignments.addons` | The system ID for the site-level add-on permissions assigned to the user. Add-on permissions must be valid for the specified system role. Add-on permissions are not available for the Site Viewer or External User roles. Select from `site_budgets__v`, `site_patients__v`, and `site_profiles__v`. Use a comma to separate when selecting multiple add-on permissions (ex. `["site_budgets__v", "site_patients__v"]`). Do not include if not applicable. |
</FieldTable>

##### Study Assignment {#study-assignment}

The following table lists the fields required to include a study assignment when creating a user.

<FieldTable>
| Name | Description |
| --- | --- |
| `study_assignments` | This object defines the user’s study-level permissions. |
| `study_assignments.id` | The Study ID. |
| `study_assignments.study_role` | The study-level role for the user. Select from `sponsor_cro__v` or `auditor_inspector__v` for external users. Select from `clinical_research_coordinator__v`, `data_coordinator__v`,  `principal_investigator__v`, `regulatory_coordinator__v`, `research_nurse__v`,  `subinvestigator__v`, `pharmacist__v`, or `other__v`, for site staff. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {AUTH_VALUE}" \
--data-raw '[
    {
        "user": {
            "email": "jerry.cotter@company.com",
            "first_name": "Jerry",
            "last_name": "Cotter",
            "security_policy_id": "VeevaID",
            "person_type": "staff__v",
            "language":"en"
        },
        "person_type": "staff__v",
        "is_investigator": false,
        "assignments": {
            "org_assignment": {
                "org_id": "V42000000001001",
                "system_role_id": "org_admin__v"
            },
            "site_assignments": [
                {
                    "site_usn": "US-NC-0001",
                    "system_role_id": "regulatory__v"
                }
            ]
        }
    }
]' \
https://myvault.veevavault.com/api/v24.2/app/sitevault/useradmin/persons

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "data": {
       "response": [
           {
               "status": "Success",
               "email": "jerry.cotter@company.com",
               "person_id": "V0B000000001001",
               "record_status": "active__v"
           }
       ]
   }
}

```
</CodeExample>

---

**Previous:** [Users](/sitevault/vault-api/api-reference/26.2/veeva-sitevault/users)  
**Next:** [Edit User](/sitevault/vault-api/api-reference/26.2/veeva-sitevault/users/edit-user)